*...:....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
*    
*     global.f
*
*     Copyright (C) 1991, 1992.
*
*     Marie Davidian and A. Ronald Gallant 
*     P.O. Box 5513, Raleigh NC 27650-5513, USA   
*
*     Permission to use, copy, modify, and distribute this
*     software and its documentation for any purpose and
*     without fee is hereby granted, provided that the
*     above copyright notice appear in all copies and that
*     both that copyright notice and this permission notice
*     appear in supporting documentation.
*
*     This software is provided "as is" without any
*     expressed or implied warranty.
*
*...:....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8

      save /nlmixr/
      save /nlmixi/
      save /nlmixc/
      save /zprint/
      save /zlnsiz/

      real*8 ftol,sfac
      real*8 fnew,fold
      real*8 sn
      real*8 tau,theta,vsav
      real*8 d,dwtau,z,dwz,x
      real*8 Ez,dEz
      real*8 Cz,dCz
      real*8 Cvec,Ctau
      real*8 CovEz,CovCz

      integer*4 ncases,npt,iq,nobs,jt
      integer*4 nfit,nfit1,nfit2,pmax,net
      integer*4 lx,ltau,lvsav
      integer*4 M,L,Kz,Kx,Iz,Ix,ntermz,ntermx
      integer*4 ibA,ibB0,ibB,ibR,iaA,iaB0,iaB,iaR
      integer*4 lA,lB0,lB,lR,ltheta
      integer*4 id,iseed,maxitr,muzero
      integer*4 iter,inform,ngrd,iunit9,iCvec,doCvec
      integer*4 verify
      integer*4 itau,itheta,ivec
      integer*4 iprint,lnsize

      character*10 name
      character*12 infile,outfil

      integer*4 mx
      integer*4 mM
      integer*4 mtau
      integer*4 mtheta
      integer*4 mvec
      integer*4 nseed

      parameter (mx=10)
      parameter (mM=5)
      parameter (mtau=50)
      parameter (mtheta=100)
      parameter (mvec=mtau+mtheta)

      dimension tau(mtau),theta(mtheta),vsav(mvec)
      dimension dwtau(mtau),z(mM),dwz(mM),x(mx)
      dimension Ez(mM),dEz(mM*mvec)
      dimension Cz(mM*(mM+1)/2),dCz((mM*(mM+1)/2)*mvec)
      dimension Cvec(mvec*mvec),Ctau(mtau*mtau)
      dimension CovEz(mM*mM),CovCz((mM*(mM+1)/2)*(mM*(mM+1)/2))
      dimension itau(mtau),itheta(mtheta),ivec(mvec)
 
      common /nlmixr/
     &  ftol,sfac,
     &  fnew,fold,
     &  sn,
     &  tau,theta,vsav,
     &  d,dwtau,z,dwz,x,
     &  Ez,dEz,
     &  Cz,dCz,
     &  Cvec,Ctau,
     &  CovEz,CovCz

      common /nlmixi/
     &  ncases,npt,iq,nobs,jt,
     &  nfit,nfit1,nfit2,pmax,net,
     &  lx,ltau,lvsav,
     &  M,L,Kz,Kx,Iz,Ix,ntermz,ntermx,
     &  ibA,ibB0,ibB,ibR,iaA,iaB0,iaB,iaR,
     &  lA,lB0,lB,lR,ltheta,
     &  id,iseed,maxitr,muzero,
     &  iter,inform,ngrd,iunit9,iCvec,doCvec,
     &  verify,
     &  itau,itheta,ivec,
     &  nseed

      common /nlmixc/
     &  name,
     &  infile,outfil

      common /zprint/ iprint
      common /zlnsiz/ lnsize
